
// GetTotalPwrDlg.h : header file
//

#pragma once


//#error "This must be changed to the path where the SpectraPLUS-SC executable is installed"
//#import "C:\Program Files\SpectraPLUS_SC\bin\SPAxnIface.tlb" no_namespace  // for 32 bit Windows
#import "C:\Program Files (x86)\SpectraPLUS_SC\bin\SPAxnIface.tlb" no_namespace  // for 64 bit windows


// CGetTotalPwrDlg dialog
class CGetTotalPwrDlg : public CDialog
{
// Construction
public:
	CGetTotalPwrDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_GET_VALUES_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	ISpectraPLUS_SCPtr	m_SP;    

	CEdit  m_EDStartHz;
	CEdit  m_EDStopHz;
	CComboBox  m_CBWeight;

	CEdit  m_EDPwr_L;
	CEdit  m_EDPwr_R;

	CEdit  m_EDPwr_LR;
	CEdit  m_EDPwr_RL;

	void GetResults();

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOpen();
	afx_msg void OnBnClickedRun();
	afx_msg void OnBnClickedStop();
	afx_msg void OnEnChangeStartHz();
	afx_msg void OnEnChangeStopHz();
	afx_msg void OnSelChangeWeight();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnClose();
};
